using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.IO;

namespace ThreadLibrary
{
   public class MyTimer
   {
      public void Gauss(object Status)
      {
         TimerStatus tStatus = (TimerStatus)Status;
         
         tStatus.vZaehler++;
         
         Console.WriteLine("{0}: Methode zum {1}. Mal ausgeführt.",DateTime.Now, tStatus.vZaehler);
         
         if (tStatus.vZaehler == 5)
         {
            tStatus.tmr.Change(0, 1000);
            Console.WriteLine("(5) kürzeres Zeitintervall:");
         }
         
         if (tStatus.vZaehler == 10)
         {
            tStatus.tmr.Change(0, 5000);
            Console.WriteLine("(10) längeres Zeitintervall:");
         }

         if (tStatus.vZaehler == 15)
         {
            tStatus.tmr.Dispose();
            tStatus.tmr = null;
         }

      }
   }

   public class TimerStatus
   {
      public int vZaehler;
      public Timer tmr;
   }
}